import 'package:jaguar_jwt/jaguar_jwt.dart';
import 'package:uuid/uuid.dart';

class IDHelper {
  String generateId() => Uuid().v4();

  String generateJWT(String userId) {
    final key = 's3cr3t';
    final claimSet = new JwtClaim(
        subject: userId,
        issuer: 'teja',
        audience: <String>['audience1.example.com', 'audience2.example.com'],
        otherClaims: <String, dynamic>{
          'typ': 'authnresponse',
          'pld': {'k': 'v'}
        },
        maxAge: const Duration(days: 365));

    String token = issueJwtHS256(claimSet, key);
    return token;
  }
}
