import 'package:flutter/material.dart';
import 'package:ocg_app/src/widgets/ease_in_widget.dart';

class TopActionWidget extends StatelessWidget {
  final Widget child;
  final Function() onTap;
  const TopActionWidget({Key key, @required this.child, this.onTap})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return EaseInWidget(
      onTap: onTap,
      child: Opacity(
        opacity: onTap == null ? 0.7 : 1,
        child: Container(
          padding: EdgeInsets.all(10),
          decoration: BoxDecoration(
            shape: BoxShape.circle,
            color: Color(0xff4a4945),
          ),
          child: child,
        ),
      ),
    );
  }
}
